# Class CIM_InstalledProduct
extends CIM_Collection

The InstalledProduct object allows the grouping of SoftwareFeatures and SoftwareElements that represent the result of the installation of a purchased Product. InstalledProduct is defined to be Weak to a Product. Often, Products are purchased once but may be installed several times in different locations on one or more systems. All of the SoftwareElements and SoftwareFeatures of a single install are grouped by an instance of InstalledProduct. These are defined using the associations, CollectedSoftwareFeatures and Collected SoftwareElements.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_InstalledProduct

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

The InstalledProduct object allows the grouping of SoftwareFeatures and SoftwareElements that represent the result of the installation of a purchased Product. InstalledProduct is defined to be Weak to a Product. Often, Products are purchased once but may be installed several times in different locations on one or more systems. All of the SoftwareElements and SoftwareFeatures of a single install are grouped by an instance of InstalledProduct. These are defined using the associations, CollectedSoftwareFeatures and Collected SoftwareElements.

UMLPackagePath | string | CIM::Application::InstalledProduct
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CollectionID | string |
Description | string | The identification of the InstalledProduct object. This key can be used to differentiate between Product installations and could include the installation location.
Key | boolean | true
MaxLen | uint32 | 256
Name | string |
Description | string | The Name property defines the label by which the object is known to the world, outside the data processing system. This label is a human-readable name that uniquely identifies the element in the context of the element's namespace.
MaxLen | uint32 | 256
ProductIdentifyingNumber | string |
Description | string | The scoping Product's identification.
Key | boolean | true
MaxLen | uint32 | 64
Propagated | string | CIM_Product.IdentifyingNumber
ProductName | string |
Description | string | The scoping Product's commonly used name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_Product.Name
ProductVendor | string |
Description | string | The scoping Product's name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_Product.Vendor
ProductVersion | string |
Description | string | The scoping Product's version information.
Key | boolean | true
MaxLen | uint32 | 64
Propagated | string | CIM_Product.Version
SystemID | string |

Description

string

The identifying information of the System (ie, the instance) on which the Product is installed. If the System is not known, this property returns NULL. If the System is known and represented in CIM, the property contains the namespace and model paths of the instance, encoded as a string parameter. If known but not represented in CIM, the property contains some identifying string that names the System on which the Product is installed.

Key | boolean | true
MaxLen | uint32 | 256

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods